Subject: Re: [linux-sunxi] [PATCH] net-next: stmmac: dwmac-sun8i: ensure the EPHY is properly reseted

From: Corentin Labbe <[email-masked]>
Date: Mon, 5 Jun 2017 13:10:19 +0200

On Mon, Jun 05, 2017 at 01:53:23AM +0800, Icenowy Zheng wrote:
> The EPHY may be already enabled by bootloaders which have Ethernet
> capability (e.g. current U-Boot). Thus it should be reseted properly
> before doing the enabling sequence in the dwmac-sun8i driver, otherwise
> the EMAC reset process may fail if no cable is plugged, and then fail
> the dwmac-sun8i probing.
> 
> Tested on Orange Pi PC, One and Zero. All the boards fail to have
> dwmac-sun8i probed with "EMAC reset timeout" without cable plugged
> before, and with this fix they're now all able to successfully probe the
> EMAC without cable plugged and then use the connection after a cable is
> hot-plugged in.
> 
> Fixes: 9f93ac8d408 ("net-next: stmmac: Add dwmac-sun8i")
> Signed-off-by: Icenowy Zheng <[email-masked]>

Thanks for the fix.
Tested-by: Corentin Labbe <[email-masked]>

Since I am the writter of the file, does I have the right to:
Acked-by: Corentin Labbe <[email-masked]>
or
Reviewed-by: Corentin Labbe <[email-masked]>
?

Perhaps I need to set myself as reviewer for this file in MAINTAINERS ?
Regards